
<div class="step-progress">
  <div class="circle-container" *ngFor="let step of [].constructor(steps);let step_num = index" [ngClass]="{'active': (step_num + 1 <= current_step), 'last': (step_num + 1 == steps)}">
    <div class="out-circle"><span class="in-circle">
        <p>{{ step_num + 1 }}</p></span></div>
    <div class="progress" [ngClass]="{'hide': (step_num + 1 == steps), 'active': (step_num + 2 <= current_step)}"></div>
  </div>
</div>